﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Modèle
{
    public class Requin
    {
        private string v1;
        private string v2;
        private string v3;
        private string v4;
        private string v5;
        private Conservation cR;
        private Zone aRCTIQUE;
        private List<string> randomFunFacts;

        public string Nom { get; private set; }
        public string NomSci { get; private set; }
        public string Description { get; private set; }
        public string Photo { get; private set; }
        public string Video { get; private set; }
        public string PhotoCarte { get; private set; }
        public Conservation StatutCons { get; private set; }
        public string FunFact { get; private set; }
        public List<Zone> Repartition { get; private set; }


        public Requin(string nom, string nomSci, string description, string photo, string video, string photoCarte, Conservation statutCons, List<Zone> repartition, string funFact) {
            Nom = nom;
            NomSci = nomSci;
            Description = description;
            Photo = photo;
            Video = video;
            PhotoCarte = photoCarte;
            StatutCons = statutCons;
            Repartition = repartition;
            FunFact = funFact;
        }

        public Requin(string nom, string nomSci, string description, string photo, string video, string photoCarte, Conservation statutCons, List<Zone> repartition, List<string> funFacts)
        {
            Random rnd = new Random();
            int num = rnd.Next(funFacts.Count());
            Nom = nom;
            NomSci = nomSci;
            Description = description;
            Photo = photo;
            Video = video;
            PhotoCarte = photoCarte;
            StatutCons = statutCons;
            Repartition = repartition;
            FunFact = funFacts[num];
        }

    }

}
